-- GENERAL --
-- path to Jitsi-specific plugins
plugin_paths = { "/usr/share/jitsi-meet-prosody/plugins/" }

-- domain mapper options, must at least have domain base set to use the mapper
muc_mapper_domain_base = "__jitsiFQDN__";

turncredentials_secret = "__turnSecret__";

turncredentials = {
    { type = "stun", host = "__jitsiFQDN__", port = "3478" },
    { type = "turn", host = "__jitsiFQDN__", port = "3478", transport = "udp" },
    { type = "turns", host = "__jitsiFQDN__", port = "5349", transport = "tcp" }
};

cross_domain_bosh = false;
consider_bosh_secure = true;
-- https_ports = { }; -- Remove this line to prevent listening on port 5284

-- HOSTS & COMPONENTS --
VirtualHost "__jitsiFQDN__"
    --enabled = false -- Remove this line to enable this host
    authentication = "anonymous"
    -- configuration options for authentication = "token"
    --app_id="example_app_id"
    --app_secret="example_app_secret"
    -- Assign this host a certificate for TLS, otherwise it would use the one
    -- set in the global section (if any).
    -- Note that old-style SSL on port 5223 only supports one certificate, and will always
    -- use the global one.
    ssl = {
        key = "/var/lib/prosody/__jitsiFQDN__.key";
        certificate = "/var/lib/prosody/__jitsiFQDN__.crt";
    }
    speakerstats_component = "speakerstats.__jitsiFQDN__"
    conference_duration_component = "conferenceduration.__jitsiFQDN__"
    modules_enabled = {
        "bosh"; -- we need bosh
        "pubsub";
        "ping"; -- Enable mod_ping
        "speakerstats";
        "turncredentials";
        "conference_duration";
        "muc_lobby_rooms";
    }
    c2s_require_encryption = false
    lobby_muc = "lobby.__jitsiFQDN__"
    main_muc = "conference.__jitsiFQDN__"
    -- muc_lobby_whitelist = { "recorder.__jitsiFQDN__" } -- Here we can whitelist jibri to enter lobby enabled rooms

Component "conference.__jitsiFQDN__" "muc"
    storage = "memory"
    modules_enabled = {
        "muc_meeting_id";
        "muc_domain_mapper";
        --"token_verification";
    }
    admins = { "focus@auth.__jitsiFQDN__" }
    muc_room_locking = false
    muc_room_default_public_jids = true

-- internal muc component
Component "internal.auth.__jitsiFQDN__" "muc"
    storage = "memory"
    modules_enabled = {
        "ping";
    }
    admins = { "focus@auth.__jitsiFQDN__", "jvb@auth.__jitsiFQDN__" }
    muc_room_locking = false
    muc_room_default_public_jids = true

VirtualHost "auth.__jitsiFQDN__"
    authentication = "internal_plain"
    ssl = {
        key = "/var/lib/prosody/auth.__jitsiFQDN__.key";
        certificate = "/var/lib/prosody/auth.__jitsiFQDN__.crt";
    }

Component "focus.__jitsiFQDN__"
    component_secret = "__focusSecret__"

Component "speakerstats.__jitsiFQDN__" "speakerstats_component"
    muc_component = "conference.__jitsiFQDN__"

Component "conferenceduration.__jitsiFQDN__" "conference_duration_component"
    muc_component = "conference.__jitsiFQDN__"

Component "lobby.__jitsiFQDN__" "muc"
    storage = "memory"
    restrict_room_creation = true
    muc_room_locking = false
    muc_room_default_public_jids = true
